Loading...
Searching...
No Matches
pcl::BranchEstimator Class Referenceabstract

Interface for branch estimators. More...

`#include <pcl/ml/branch_estimator.h>`

Inheritance diagram for pcl::BranchEstimator:

## Public Member Functions

virtual | ~BranchEstimator ()=default
| Destructor.
virtual std::size_t | getNumOfBranches () const =0
| Returns the number of branches the corresponding tree has.
virtual void | computeBranchIndex (const float result, const unsigned char flag, const float threshold, unsigned char &branch_index) const =0
| Computes the branch index for the specified result.

## Detailed Description

Interface for branch estimators.

Definition at line 47 of file branch_estimator.h.

## Constructor & Destructor Documentation

## ~BranchEstimator()

virtual pcl::BranchEstimator::~BranchEstimator | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## computeBranchIndex()

virtual void pcl::BranchEstimator::computeBranchIndex | ( | const float | result,
|  | const unsigned char | flag,
|  | const float | threshold,
|  | unsigned char & | branch_index ) const

pure virtual

Computes the branch index for the specified result.

Parameters

  [in] | result | the result the branch index will be computed for
  [in] | flag | the flag corresponding to the specified result
  [in] | threshold | the threshold used to compute the branch index
  [out] | branch_index | the destination for the computed branch index

Implemented in pcl::BinaryTreeThresholdBasedBranchEstimator, and pcl::TernaryTreeMissingDataBranchEstimator.

## getNumOfBranches()

virtual std::size_t pcl::BranchEstimator::getNumOfBranches | ( |  | ) | const

pure virtual

Returns the number of branches the corresponding tree has.

Implemented in pcl::BinaryTreeThresholdBasedBranchEstimator, and pcl::TernaryTreeMissingDataBranchEstimator.

The documentation for this class was generated from the following file:

- pcl/ml/branch_estimator.h